Bug 73923 - The Download Mirror for Hong Kong (free.nchc.org.tw) is Not Reachable
Summary: The Download Mirror for Hong Kong (free.nchc.org.tw) is Not Reachable
Status: RESOLVED NOTOURBUG
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: WWW (show other bugs)
Version:
(earliest affected)
4.1.5.1 rc
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-22 10:22 UTC by Jack Cheung
Modified: 2014-11-17 03:13 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jack Cheung 2014-01-22 10:22:28 UTC
Problem description: 
The host for Hong Kong download (free.nchc.org.tw) is not reachable (HTTP connection simply timeout).
Tried with accessing via my Tokyo-based Linode host, and it is successful. So the website have routing issue / blocked traffic from Hong Kong
This applies to some ISP (e.g. Wharf T&T), but not all (e.g. Hong Kong Broadband can access the site)

Suggestion:
Provide mirror options on the download page/sb

Current behavior:
Download times out

Expected behavior:
Download successful

              
Operating System: All
Version: 4.1.5.1 rc
Comment 1 Jack Cheung 2014-01-22 10:24:33 UTC
Here is the specific link example:
http://free.nchc.org.tw/tdf/libreoffice/stable/4.1.4/mac/x86/LibreOffice_4.1.4_MacOS_x86.dmg
Comment 2 tommy27 2014-01-23 06:43:31 UTC
I can download a file with no problems from that link.
maybe it was a temporary web blackout.
reopen if you still experience that problem.
Comment 3 Jack Cheung 2014-01-27 07:20:57 UTC
Tommy: I figure that it's only applied to our ISP (Wharf T&T). So it is an ISP issue.

However, is it possible to provide alternative mirror? We can't always to correct their issue.

Thanks,
Jack

Here is the traceroute for your info:

$ traceroute -n free.nchc.org.tw
traceroute to free.nchc.org.tw (211.73.64.9), 64 hops max, 52 byte packets
 1  10.1.1.1  15.118 ms  1.045 ms  1.105 ms
 2  * * *
 3  101.78.167.254  7.460 ms  4.570 ms  41.052 ms
 4  202.155.220.237  3.644 ms  3.522 ms  3.633 ms
 5  115.160.187.10  3.838 ms  3.673 ms  3.934 ms
 6  202.169.175.202  4.259 ms  5.866 ms  3.909 ms
 7  202.169.174.146  26.606 ms  26.520 ms  26.969 ms
 8  202.169.174.226  157.234 ms !N  157.578 ms !N  157.142 ms !N
Comment 4 tommy27 2014-01-27 13:20:08 UTC
(In reply to comment #3)
> Tommy: I figure that it's only applied to our ISP (Wharf T&T). So it is an
> ISP issue.

so it's NOTOURBUG

> However, is it possible to provide alternative mirror? We can't always to
> correct their issue.
> 
> Thanks,
> Jack


I don't know.
why don't you just download it from here?
http://www.libreoffice.org/download/
Comment 5 Maxim Monastirsky 2014-01-27 14:02:53 UTC
Hi,

You can always see a list of all available mirrors, if you click on the 'Info and Hashes' link that located at the bottom of the big green download button (near 'Torrent' link).

For example, here is a list for 4.1.4 (Win):
http://download.documentfoundation.org/libreoffice/stable/4.1.4/win/x86/LibreOffice_4.1.4_Win_x86.msi.mirrorlist
Comment 6 Jack Cheung 2014-02-04 08:50:43 UTC
Tommy: I'm afraid you misunderstand. I've downloaded from the link you mentioned, and the actual .dmg file is redirected to the "best picked" mirror site, which is unreachable at my hosting

Maxim: Thanks for pointing this out. I suggest to change the wordings (e.g. Info, Mirror & Hashes), so that other users can better spot the option if their download links failed
Comment 7 Jack Cheung 2014-02-04 08:52:25 UTC
So, if this suggestion is not going to be implemented, please mark it as WONTFIX. I just think that is a better UX for the majority of users out there.
Comment 8 tommy27 2014-02-20 05:47:32 UTC
are you still seeing troubles with those mirrors?
Comment 9 Jack Cheung 2014-02-20 11:26:49 UTC
Yes, the host (free.nchc.org.tw) is still unreachable from my hosting
Comment 10 Joel Madero 2014-11-06 00:38:03 UTC
Never confirmed by QA team - moving to UNCONFIRMED. Thanks for your patience and understanding.
Comment 11 Robinson Tryon (qubit) 2014-11-12 00:15:37 UTC
(In reply to Jack Cheung from comment #9)
> Yes, the host (free.nchc.org.tw) is still unreachable from my hosting

[CC'd cloph]

Perhaps this infra-related issue should be moved to Redmine?
Comment 12 retired 2014-11-13 10:33:57 UTC
This really is NOTOURBUG.

Not a TDF domain, and others are able to download just fine. Please contact your ISP and resolve the issue with them. Not sure why they would be blocking this though.
Comment 13 Christian Lohmaier 2014-11-13 13:06:18 UTC
yeah, not much we can do. We could restrict access to some network blocks or to country or similar, but that of course would then affect those users who don't have the routing problem.
So it is best to contact the ISP and have them ask to look into the routing problem.

And regarding mirror selection, I think it wasn't clear that when you add ".mirrorlist" to the download-URL (or click the "info" link below the download buttons on the homepage), you get to a page that shows various checksums and a list of mirrors carrying the file.

e.g. while 

http://download.documentfoundation.org/libreoffice/stable/4.3.3/rpm/x86_64/LibreOffice_4.3.3_Linux_x86-64_rpm.tar.gz

will automatically pick a mirror and start the download,

http://download.documentfoundation.org/libreoffice/stable/4.3.3/rpm/x86_64/LibreOffice_4.3.3_Linux_x86-64_rpm.tar.gz.mirrorlist

will show the info page that allows you to pick a mirror manually. I'll enhance the wording in the text on the donation page (if your download doesn't start.....) to also include a blurp about manual mirror selection
Comment 14 Jack Cheung 2014-11-17 03:13:58 UTC
Yes, it's an ISP-related issue.
I agree with updating the wordings on the download page, so that people can still download LibreOffice with ISP bad configuration.